<?php
$tdatacustomerinfo = array();
$tdatacustomerinfo[".searchableFields"] = array();
$tdatacustomerinfo[".ShortName"] = "customerinfo";
$tdatacustomerinfo[".OwnerID"] = "";
$tdatacustomerinfo[".OriginalTable"] = "customerinfo";


$tdatacustomerinfo[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacustomerinfo[".originalPagesByType"] = $tdatacustomerinfo[".pagesByType"];
$tdatacustomerinfo[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacustomerinfo[".originalPages"] = $tdatacustomerinfo[".pages"];
$tdatacustomerinfo[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacustomerinfo[".originalDefaultPages"] = $tdatacustomerinfo[".defaultPages"];

//	field labels
$fieldLabelscustomerinfo = array();
$fieldToolTipscustomerinfo = array();
$pageTitlescustomerinfo = array();
$placeHolderscustomerinfo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscustomerinfo["English"] = array();
	$fieldToolTipscustomerinfo["English"] = array();
	$placeHolderscustomerinfo["English"] = array();
	$pageTitlescustomerinfo["English"] = array();
	$fieldLabelscustomerinfo["English"]["CustomerID"] = "#";
	$fieldToolTipscustomerinfo["English"]["CustomerID"] = "";
	$placeHolderscustomerinfo["English"]["CustomerID"] = "";
	$fieldLabelscustomerinfo["English"]["BusinessName"] = "ຊື່ທຸລກິດ";
	$fieldToolTipscustomerinfo["English"]["BusinessName"] = "";
	$placeHolderscustomerinfo["English"]["BusinessName"] = "";
	$fieldLabelscustomerinfo["English"]["FirstName"] = "ຊື່ລູກຄ້າ";
	$fieldToolTipscustomerinfo["English"]["FirstName"] = "";
	$placeHolderscustomerinfo["English"]["FirstName"] = "";
	$fieldLabelscustomerinfo["English"]["LastName"] = "ນາມສະກຸນ";
	$fieldToolTipscustomerinfo["English"]["LastName"] = "";
	$placeHolderscustomerinfo["English"]["LastName"] = "";
	$fieldLabelscustomerinfo["English"]["Tel"] = "ໂທ";
	$fieldToolTipscustomerinfo["English"]["Tel"] = "";
	$placeHolderscustomerinfo["English"]["Tel"] = "";
	$fieldLabelscustomerinfo["English"]["Email"] = "Email";
	$fieldToolTipscustomerinfo["English"]["Email"] = "";
	$placeHolderscustomerinfo["English"]["Email"] = "";
	$fieldLabelscustomerinfo["English"]["Address"] = "ທີ່ຢູ່";
	$fieldToolTipscustomerinfo["English"]["Address"] = "";
	$placeHolderscustomerinfo["English"]["Address"] = "";
	if (count($fieldToolTipscustomerinfo["English"]))
		$tdatacustomerinfo[".isUseToolTips"] = true;
}


	$tdatacustomerinfo[".NCSearch"] = true;



$tdatacustomerinfo[".shortTableName"] = "customerinfo";
$tdatacustomerinfo[".nSecOptions"] = 0;

$tdatacustomerinfo[".mainTableOwnerID"] = "";
$tdatacustomerinfo[".entityType"] = 0;
$tdatacustomerinfo[".connId"] = "eflejob_at_localhost";


$tdatacustomerinfo[".strOriginalTableName"] = "customerinfo";

	



$tdatacustomerinfo[".showAddInPopup"] = false;

$tdatacustomerinfo[".showEditInPopup"] = false;

$tdatacustomerinfo[".showViewInPopup"] = false;

	$tdatacustomerinfo[".listAjax"] = true;
//	temporary
//$tdatacustomerinfo[".listAjax"] = false;

	$tdatacustomerinfo[".audit"] = false;

	$tdatacustomerinfo[".locking"] = false;


$pages = $tdatacustomerinfo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacustomerinfo[".edit"] = true;
	$tdatacustomerinfo[".afterEditAction"] = 1;
	$tdatacustomerinfo[".closePopupAfterEdit"] = 1;
	$tdatacustomerinfo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacustomerinfo[".add"] = true;
$tdatacustomerinfo[".afterAddAction"] = 1;
$tdatacustomerinfo[".closePopupAfterAdd"] = 1;
$tdatacustomerinfo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacustomerinfo[".list"] = true;
}



$tdatacustomerinfo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacustomerinfo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacustomerinfo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacustomerinfo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacustomerinfo[".printFriendly"] = true;
}



$tdatacustomerinfo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacustomerinfo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacustomerinfo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacustomerinfo[".isUseAjaxSuggest"] = true;



			

$tdatacustomerinfo[".ajaxCodeSnippetAdded"] = false;

$tdatacustomerinfo[".buttonsAdded"] = false;

$tdatacustomerinfo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacustomerinfo[".isUseTimeForSearch"] = false;


$tdatacustomerinfo[".badgeColor"] = "DAA520";


$tdatacustomerinfo[".allSearchFields"] = array();
$tdatacustomerinfo[".filterFields"] = array();
$tdatacustomerinfo[".requiredSearchFields"] = array();

$tdatacustomerinfo[".googleLikeFields"] = array();
$tdatacustomerinfo[".googleLikeFields"][] = "CustomerID";
$tdatacustomerinfo[".googleLikeFields"][] = "BusinessName";
$tdatacustomerinfo[".googleLikeFields"][] = "FirstName";
$tdatacustomerinfo[".googleLikeFields"][] = "LastName";
$tdatacustomerinfo[".googleLikeFields"][] = "Tel";
$tdatacustomerinfo[".googleLikeFields"][] = "Email";
$tdatacustomerinfo[".googleLikeFields"][] = "Address";



$tdatacustomerinfo[".tableType"] = "list";

$tdatacustomerinfo[".printerPageOrientation"] = 0;
$tdatacustomerinfo[".nPrinterPageScale"] = 100;

$tdatacustomerinfo[".nPrinterSplitRecords"] = 40;

$tdatacustomerinfo[".geocodingEnabled"] = false;










$tdatacustomerinfo[".pageSize"] = 20;

$tdatacustomerinfo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacustomerinfo[".strOrderBy"] = $tstrOrderBy;

$tdatacustomerinfo[".orderindexes"] = array();


$tdatacustomerinfo[".sqlHead"] = "SELECT CustomerID,  	BusinessName,  	FirstName,  	LastName,  	Tel,  	Email,  	Address";
$tdatacustomerinfo[".sqlFrom"] = "FROM customerinfo";
$tdatacustomerinfo[".sqlWhereExpr"] = "";
$tdatacustomerinfo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacustomerinfo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacustomerinfo[".arrGroupsPerPage"] = $arrGPP;

$tdatacustomerinfo[".highlightSearchResults"] = true;

$tableKeyscustomerinfo = array();
$tableKeyscustomerinfo[] = "CustomerID";
$tdatacustomerinfo[".Keys"] = $tableKeyscustomerinfo;


$tdatacustomerinfo[".hideMobileList"] = array();




//	CustomerID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CustomerID";
	$fdata["GoodName"] = "CustomerID";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","CustomerID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CustomerID";

		$fdata["sourceSingle"] = "CustomerID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CustomerID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["CustomerID"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "CustomerID";
//	BusinessName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "BusinessName";
	$fdata["GoodName"] = "BusinessName";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","BusinessName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "BusinessName";

		$fdata["sourceSingle"] = "BusinessName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "BusinessName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["BusinessName"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "BusinessName";
//	FirstName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "FirstName";
	$fdata["GoodName"] = "FirstName";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","FirstName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "FirstName";

		$fdata["sourceSingle"] = "FirstName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "FirstName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["FirstName"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "FirstName";
//	LastName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "LastName";
	$fdata["GoodName"] = "LastName";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","LastName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "LastName";

		$fdata["sourceSingle"] = "LastName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "LastName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["LastName"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "LastName";
//	Tel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Tel";
	$fdata["GoodName"] = "Tel";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","Tel");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Tel";

		$fdata["sourceSingle"] = "Tel";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["Tel"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "Tel";
//	Email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Email";
	$fdata["GoodName"] = "Email";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","Email");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Email";

		$fdata["sourceSingle"] = "Email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["Email"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "Email";
//	Address
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Address";
	$fdata["GoodName"] = "Address";
	$fdata["ownerTable"] = "customerinfo";
	$fdata["Label"] = GetFieldLabel("customerinfo","Address");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Address";

		$fdata["sourceSingle"] = "Address";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Address";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacustomerinfo["Address"] = $fdata;
		$tdatacustomerinfo[".searchableFields"][] = "Address";


$tables_data["customerinfo"]=&$tdatacustomerinfo;
$field_labels["customerinfo"] = &$fieldLabelscustomerinfo;
$fieldToolTips["customerinfo"] = &$fieldToolTipscustomerinfo;
$placeHolders["customerinfo"] = &$placeHolderscustomerinfo;
$page_titles["customerinfo"] = &$pageTitlescustomerinfo;


changeTextControlsToDate( "customerinfo" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["customerinfo"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["customerinfo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_customerinfo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CustomerID,  	BusinessName,  	FirstName,  	LastName,  	Tel,  	Email,  	Address";
$proto0["m_strFrom"] = "FROM customerinfo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CustomerID",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto6["m_sql"] = "CustomerID";
$proto6["m_srcTableName"] = "customerinfo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "BusinessName",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto8["m_sql"] = "BusinessName";
$proto8["m_srcTableName"] = "customerinfo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "FirstName",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto10["m_sql"] = "FirstName";
$proto10["m_srcTableName"] = "customerinfo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "LastName",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto12["m_sql"] = "LastName";
$proto12["m_srcTableName"] = "customerinfo";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Tel",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto14["m_sql"] = "Tel";
$proto14["m_srcTableName"] = "customerinfo";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Email",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto16["m_sql"] = "Email";
$proto16["m_srcTableName"] = "customerinfo";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Address",
	"m_strTable" => "customerinfo",
	"m_srcTableName" => "customerinfo"
));

$proto18["m_sql"] = "Address";
$proto18["m_srcTableName"] = "customerinfo";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "customerinfo";
$proto21["m_srcTableName"] = "customerinfo";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "CustomerID";
$proto21["m_columns"][] = "BusinessName";
$proto21["m_columns"][] = "FirstName";
$proto21["m_columns"][] = "LastName";
$proto21["m_columns"][] = "Tel";
$proto21["m_columns"][] = "Email";
$proto21["m_columns"][] = "Address";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "customerinfo";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "customerinfo";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="customerinfo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_customerinfo = createSqlQuery_customerinfo();


	
		;

							

$tdatacustomerinfo[".sqlquery"] = $queryData_customerinfo;



$tdatacustomerinfo[".hasEvents"] = false;

?>